Subject: Re: bug#54997: [PATCH 00/12] Add "least authority" program wrapper

From: Maxime Devos <[email-masked]>
Date: Thu, 28 Apr 2022 21:52:14 +0200

Ludovic Courtès schreef op do 28-04-2022 om 21:25 [+0200]:
> The previous code abused ‘make-forkexec-constructor/container’ as a way
> to spawn processes during activation, which wasn’t great either IMO.
> 
> So yes, I agree there’s room for improvement here and that this calls
> for some kind of ‘system*’ interface, if the need is common enough.
> But! I don’t think this is a blocker for the whole series.
> 
> WDYT?  :-)

Agreed that it's not a blocker, but next I have to write something
similar, I think I'll then propose some kind of variant of system*.
I guess I'm personally more inclined than you to write abstractions
that only have a single use.

Greetings,
Maxime.